## kdbg 2.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(KDBG_VERSION 2.5.0)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kdbg/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdbg/version.h)

find_package(KDE4 REQUIRED)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include(KDE4Defaults)
include(MacroLibrary)
#include(ManualStuff.cmake)
#include(ConfigureChecks.cmake)

add_subdirectory(kdbg)
add_subdirectory(po)

=== kdbg/testprogs/Makefile ===
CXXFLAGS=-O0 -g

QT3 = /usr/lib64/qt3
QT3INC = -I$(QT3)/include
QT3LIB = $(QT3)/lib64/libqt-mt.so

PROGS = \
	anonstruct \
	locals \
	longdouble \
	maths \
	nestedclass \
	qt \
	repeats \
	std \
	templates \
	testfile \
	widechar

all: $(PROGS)

anonstruct: anonstruct.cpp
	g++ -o $@ $(CXXFLAGS) $^

locals: locals.cpp
	g++ -o $@ $(CXXFLAGS) $^

longdouble: longdouble.c
	gcc -o $@ $(CXXFLAGS) $^

maths: maths.cpp
	g++ -o $@ $(CXXFLAGS) $^

nestedclass: nestedclass.cpp
	g++ -o $@ $(CXXFLAGS) $^

qt: qt.cpp
	g++ -o $@ $(CXXFLAGS) $^ $(QT3INC) $(QT3LIB)

repeats: repeats.cpp
	g++ -o $@ $(CXXFLAGS) $^ $(QT3INC) $(QT3LIB)

std: std.cpp
	g++ -o $@ $(CXXFLAGS) $^

templates: templates.cpp
	g++ -o $@ $(CXXFLAGS) $^

testfile: testfile.cpp
	g++ -o $@ $(CXXFLAGS) $^ $(QT3INC) $(QT3LIB)

widechar: widechar.cpp
	g++ -o $@ $(CXXFLAGS) $^

=== debian/changelog ===
kdbg (2.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 02 Apr 2011 23:39:51 +0200

kdbg (2.4.92~1-1) unstable; urgency=low

  * Git Snapshot of a future 2.5 release, now ported to KDE 4. This means
    significant changes in the packaging. (Closes: #604333)
  * We used cmake now, no outdated config.{sub,guess} anymore. (Closes: #582436)
  * Remove suggests on kxsldbg, it is not in the Debian archive anymore.
  * Update years in copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 12 Mar 2011 17:00:01 +0100

kdbg (2.2.1-2) unstable; urgency=low

  * Redone again relibtoolization making sure it uses latest automake.
    (Closes: #577679)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 21 Apr 2010 04:31:55 +0200

kdbg (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * Redone libtoolization.
  * Remove patch 03_fix_ftbfs, merged upstream.
  * Update Standards-Version to 3.8.4, no changes required.
  * Add ${misc:Depends} to Depends:

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Apr 2010 18:39:35 +0200

kdbg (2.2.0-2) unstable; urgency=low

  * Add patch taken from upstrem to fix FTBFS with newer glibc 2.10 and gcc 4.4.
   (Closes: #552582)
  * Minor updates in the copyright file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 19 Nov 2009 23:06:37 +0100

kdbg (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * Redone libtoolization.
  * Update Standards-Version to 3.8.3, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 20 Sep 2009 20:41:52 +0200

kdbg (2.1.1-1) unstable; urgency=low

  * New upstream release:
    - Do not crash when clicking on "delete" button if not program is loaded.
      (Closes: #467243)
  * Redo patches: 02_libtool_update.diff and buildprep.
  * Update upstream's email in copyright file.
  * Update copyright years.
  * Update Section in doc-base.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 29 Dec 2008 13:24:32 +0100

kdbg (2.1.0-2) unstable; urgency=low

  * Remove unnecesary build dependency on libqt3-compat-headers. 
    (Closes: #464057) 

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 07 Feb 2008 11:10:15 +0100

kdbg (2.1.0-1) unstable; urgency=low

   * New upstream release.
   * Update Standards-Version to 3.7.3.
   * Move homepage into control field.
   * Update menu file to new policy.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 26 Dec 2007 04:52:24 +0100

kdbg (2.0.5-2) unstable; urgency=low

  * Rewrite debian/rules. Now it can be built twice in a row. 
   (Closes: #424429)
  * Dangling symlinks are not longer created. (Closes: #186169)
  * Redone relibtoolization. (Closes: #418563).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 30 May 2007 01:13:37 +0100

kdbg (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 19 Dec 2006 02:15:51 +0100

kdbg (2.0.4-3) unstable; urgency=low
  
  * Bumped compat to 5.
  * Added space to homepage pseudo header.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 28 Oct 2006 03:57:29 +0200

kdbg (2.0.4-2) unstable; urgency=medium

  * Dropping re-libtoolizing at build time, instead updating libtool
    with a patch. (Closes: #379811). 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat, 29 Jul 2006 14:19:18 +0200

kdbg (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards-version to 3.7.2, no changes required.
  * Debugger window comes to the foreground and receives the focus, after a 
    breakpoint. (Closes: #171845)
  * Added support for QString in Qt4's debug libraries. (Closes: #354373)
  * Added copyright of the debian packaging.
  * Changed kdbg webpage.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Sat,  3 Jun 2006 13:17:46 +0200

kdbg (2.0.3-3) unstable; urgency=low

  * Dropping patches, re-libtoolizing at build time. 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue, 21 Feb 2006 12:43:49 +0100

kdbg (2.0.3-2) unstable; urgency=low

  * Added patch: 04_am_maintainer_mode.diff, the patch adds AM_MAINTAINER_MODE to 
    configure.in (Closes: #349988). 

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Thu,  2 Feb 2006 02:08:56 +0100

kdbg (2.0.3-1) unstable; urgency=low

  * New upstream release. 
  * Added patch: 10_update_libtool.diff, now the package doesn't depend from 
    libfreetype6 and other spurious libraries.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue, 24 Jan 2006 23:12:03 +0100

kdbg (2.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #342096).
  * New maintainer's email address.
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat'.

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Tue,  6 Dec 2005 19:07:51 +0100

kdbg (2.0.0-1) unstable; urgency=low

  * Adopted by Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>.
    (Closes: #315336).
  * New upstream release.
  * Bumped standards-version to 3.6.2.
 
 -- Ana Beatriz Guerrero Lopez <anja_isbilia@yahoo.es>  Tue, 30 Aug 2005 19:03:50 +0000

kdbg (1.9.7-2) unstable; urgency=low

  * Updated config.{sub,guess} for compilation on GNU/k*BSD (closes: #305839).

 -- Ben Burton <bab@debian.org>  Wed, 27 Apr 2005 08:11:57 +1000

kdbg (1.9.7-1) unstable; urgency=low

  * New upstream release.
  * Suggests kxsldbg, since kdbg can now interact with xsldbg for debugging
    XSLT scripts.
  * Patched kdbg/doc/en/Makefile.am to install newer parts of the manual
    that weren't installed by default.  Using AM_MAINTAINER_MODE to
    facilitate this.

 -- Ben Burton <bab@debian.org>  Sat, 26 Mar 2005 00:24:40 +1100

kdbg (1.2.10-3) unstable; urgency=low

  * Converted all PO-files to UTF-8 so that all characters are properly
    displayed (closes: #291317).

 -- Ben Burton <bab@debian.org>  Tue,  8 Feb 2005 18:52:34 +1100

kdbg (1.2.10-2) unstable; urgency=low



=== debian/control ===
Source: kdbg
Section: devel
Priority: optional
Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>= 4:4.4.0)
Standards-Version: 3.9.1
Homepage: http://www.kdbg.org/

Package: kdbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gdb (>= 5.0)
Description: graphical debugger interface
 KDbg is a graphical user interface to gdb, the GNU debugger.  It provides
 an intuitive interface for setting breakpoints, inspecting variables,
 stepping through code and much more.  KDbg requires KDE but you can of
 course debug any program.
 .
 KDbg can also debug XSLT (XML stylesheet translation) scripts by
 interfacing with xsldbg.  For this the package kxsldbg must be installed.
 .
 Features include the following:
  * Inspection of variable values in a tree structure.
  * Direct member: For certain compound data types the most important
    member values are displayed next to the variable name, so that it is
    not necessary to expand the subtree of that variable in order to see
    the member value.  KDbg can also display Qt's QString values, which
    are Unicode strings.
  * Debugger at your finger tips: The basic debugger functions (step,
    next, run, finish, until, set/clear/enable/disable breakpoint) are
    bound to function keys F5 through F10.  Quick and easy.
  * View source code, search text, set program arguments and environment
    variables, display arbitrary expressions.
  * Debugging of core dumps, attaching to running processes is possible.
  * Conditional breakpoints.

## kdbg 2.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 
-set(KDBG_VERSION 2.5.0)
+set(KDBG_VERSION 2.5.1)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kdbg/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdbg/version.h)
 
 find_package(KDE4 REQUIRED)

=== debian/changelog ===
kdbg (2.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #672338)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 10 May 2012 21:01:19 +0200

## kdbg 2.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 
-set(KDBG_VERSION 2.5.1)
+set(KDBG_VERSION 2.5.3)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kdbg/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdbg/version.h)
 
 find_package(KDE4 REQUIRED)

=== debian/changelog ===
kdbg (2.5.3-1) unstable; urgency=low

  * New upstream release. (Closes: #715031)
  * Update Standards-Version to 3.9.4, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 15 Jul 2013 20:08:45 +0200

## kdbg 2.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 
-set(KDBG_VERSION 2.5.3)
+set(KDBG_VERSION 2.5.4)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kdbg/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdbg/version.h)
 
 find_package(KDE4 REQUIRED)

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
		NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)

	SET(catalogname kdbg)

	ADD_CUSTOM_TARGET(translations ALL)

	FILE(GLOB PO_FILES *.po)

	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
		SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

		ADD_CUSTOM_COMMAND(TARGET translations
			COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
			DEPENDS ${_poFile})
		INSTALL(FILES ${_gmoFile}
			DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/
			RENAME ${catalogname}.mo)

	ENDFOREACH(_poFile ${PO_FILES})

ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== kdbg/doc/CMakeLists.txt ===
add_subdirectory(de)
add_subdirectory(en)
add_subdirectory(ru)

=== kdbg/pics/CMakeLists.txt ===
# line items and other pictograms
set(PICTOGRAMS
	brkena.png
	brkdis.png
	brktmp.png
	brkcond.png
	brkorph.png
	pcinner.png
	pcup.png
	watchena.png
	watchdis.png
	pointer.xpm)

install(FILES ${PICTOGRAMS} DESTINATION "${DATA_INSTALL_DIR}/kdbg/pics")

kde4_install_icons("${DATA_INSTALL_DIR}/kdbg/icons")

=== kdbg/testprogs/CMakeLists.txt ===
include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )

add_executable(anonstruct anonstruct.cpp)
add_executable(locals locals.cpp)
add_executable(maths maths.cpp)
add_executable(nestedclass nestedclass.cpp)
add_executable(repeats repeats.cpp)
add_executable(std std.cpp)
add_executable(templates templates.cpp)
add_executable(testfile testfile.cpp)
add_executable(widechar widechar.cpp)

target_link_libraries(anonstruct ${QT_LIBS})
target_link_libraries(locals ${QT_LIBS})
target_link_libraries(maths ${QT_LIBS})
target_link_libraries(nestedclass ${QT_LIBS})
target_link_libraries(repeats ${QT_LIBS})
target_link_libraries(std ${QT_LIBS})
target_link_libraries(templates ${QT_LIBS})
target_link_libraries(testfile ${QT_LIBS})
target_link_libraries(widechar ${QT_LIBS})

=== kdbg/testprogs/Makefile ===
--- 
+++ 
@@ -6,9 +6,11 @@
 
 PROGS = \
 	anonstruct \
+	lambda \
 	locals \
 	longdouble \
 	maths \
+	multibrkpt \
 	nestedclass \
 	qt \
 	repeats \
@@ -22,6 +24,9 @@
 anonstruct: anonstruct.cpp
 	g++ -o $@ $(CXXFLAGS) $^
 
+lambda: lambda.cpp
+	g++ --std=c++0x -o $@ $(CXXFLAGS) $^
+
 locals: locals.cpp
 	g++ -o $@ $(CXXFLAGS) $^
 
@@ -29,6 +34,9 @@
 	gcc -o $@ $(CXXFLAGS) $^
 
 maths: maths.cpp
+	g++ -o $@ $(CXXFLAGS) $^
+
+multibrkpt: multibrkpt.cpp
 	g++ -o $@ $(CXXFLAGS) $^
 
 nestedclass: nestedclass.cpp

=== kdbg/doc/de/CMakeLists.txt ===
install(FILES
	argspwdenv.html
	breakptlist.html
	globaloptions.html
	howdoi.html
	localvars.html
	memory.html
	pgmoutput.html
	pgmsettings.html
	registers.html
	sourcecode.html
	stack.html
	threads.html
	tips.html
	watches.html
	index.html
	DESTINATION ${HTML_INSTALL_DIR}/de/kdbg)

=== kdbg/doc/ru/CMakeLists.txt ===
install(FILES
	argspwdenv.html
	breakptlist.html
	globaloptions.html
	howdoi.html
	localvars.html
	memory.html
	pgmoutput.html
	pgmsettings.html
	registers.html
	sourcecode.html
	stack.html
	threads.html
	tips.html
	watches.html
	index.html
	DESTINATION ${HTML_INSTALL_DIR}/ru/kdbg)

=== debian/changelog ===
kdbg (2.5.4-1) unstable; urgency=medium

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 29 Nov 2013 19:40:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>= 4:4.4.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://www.kdbg.org/
 
 Package: kdbg

## kdbg 2.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.6)
 
-set(KDBG_VERSION 2.5.4)
+set(KDBG_VERSION 2.5.5)
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/kdbg/version.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdbg/version.h)
 
 find_package(KDE4 REQUIRED)

=== kdbg/CMakeLists.txt ===
add_subdirectory(doc)
add_subdirectory(pics)
add_subdirectory(typetables)

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES} )
include(CheckFunctionExists)

CHECK_INCLUDE_FILES(pty.h HAVE_PTY_H)
CHECK_INCLUDE_FILES(libutil.h HAVE_LIBUTIL_H)
CHECK_INCLUDE_FILES(util.h HAVE_UTIL_H)
CHECK_LIBRARY_EXISTS(util openpty "" HAVE_LIB_UTIL)
if (HAVE_LIB_UTIL)
    set(CMAKE_REQUIRED_LIBRARIES util)
endif (HAVE_LIB_UTIL)
CHECK_FUNCTION_EXISTS(openpty HAVE_FUNC_OPENPTY)

message("-- Looking for a suitable 'ps' invocation")
FIND_PROGRAM(PROG_PS ps)
IF (PROG_PS)
    set(PS_ARGS -eo pid,ppid,uid,vsz,etime,time,args)
    execute_process(COMMAND ${PROG_PS} ${PS_ARGS}
		RESULT_VARIABLE PS_FAILED
		OUTPUT_QUIET ERROR_QUIET)
    IF (NOT PS_FAILED)
	execute_process(
		COMMAND ${PROG_PS} ${PS_ARGS}
		COMMAND sed -e "s/  */ /g" -e 1q
		OUTPUT_VARIABLE PS_HEADER)
	string(STRIP "${PS_HEADER}" PS_HEADER)
	IF (PS_HEADER STREQUAL "PID PPID UID VSZ ELAPSED TIME COMMAND")
	    # enclose arguments in double-quotes
	    set(PS_COMMAND \"${PROG_PS}\")
	    set(PS_MSG ${PROG_PS})
	    foreach (I ${PS_ARGS})
		set(PS_COMMAND ${PS_COMMAND},\"${I}\")
		set(PS_MSG "${PS_MSG} ${I}")
	    endforeach (I)
	    message("-- Found 'ps' command: ${PS_MSG}")
	ENDIF (PS_HEADER STREQUAL "PID PPID UID VSZ ELAPSED TIME COMMAND")
    ENDIF (NOT PS_FAILED)
ENDIF (PROG_PS)
IF (NOT PS_COMMAND)
    message("-- Looking for a suitable 'ps' invocation - not found")
ENDIF (NOT PS_COMMAND)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

set(kdbg_SRCS
    pgmargs.cpp
    procattach.cpp
    debugger.cpp
    dbgdriver.cpp
    gdbdriver.cpp
    xsldbgdriver.cpp
    brkpt.cpp
    exprwnd.cpp
    regwnd.cpp
    memwindow.cpp
    threadlist.cpp
    sourcewnd.cpp
    winstack.cpp
    ttywnd.cpp
    typetable.cpp
    prefdebugger.cpp
    prefmisc.cpp
    pgmsettings.cpp
    watchwindow.cpp
    dbgmainwnd.cpp
    main.cpp
)

set(kdbg_UI
    brkptbase.ui
    brkptcondition.ui
    pgmargsbase.ui
    procattachbase.ui
)

kde4_add_ui_files(kdbg_SRCS ${kdbg_UI})

kde4_add_app_icon(kdbg_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/hi*-app-kdbg.png")
kde4_add_app_icon(kdbg_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/lo*-app-kdbg.png")
kde4_add_executable(kdbg ${kdbg_SRCS})

IF (HAVE_LIB_UTIL)
    set(LIB_UTIL util)
ENDIF (HAVE_LIB_UTIL)

target_link_libraries(kdbg ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${LIB_UTIL})

install(TARGETS kdbg ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kdbg.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kdbgrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES kdbgui.rc DESTINATION ${DATA_INSTALL_DIR}/kdbg)

=== kdbg/testprogs/Makefile ===
--- 
+++ 
@@ -59,3 +59,7 @@
 
 widechar: widechar.cpp
 	g++ -o $@ $(CXXFLAGS) $^
+
+
+clean:
+	$(RM) $(PROGS)

=== kdbg/typetables/CMakeLists.txt ===
install(FILES
	qt.kdbgtt
	qt2.kdbgtt
	qt3.kdbgtt
	qt4core.kdbgtt
	kdecore.kdbgtt
	kdecore3.kdbgtt
	glib.kdbgtt
	gtk+.kdbgtt
	stdc++.kdbgtt
	stdc++6.kdbgtt
	X11.kdbgtt
	DESTINATION ${DATA_INSTALL_DIR}/kdbg/types)

=== kdbg/doc/en/CMakeLists.txt ===
install(FILES
	argspwdenv.html
	breakptlist.html
	globaloptions.html
	howdoi.html
	invocation.html
	localvars.html
	memory.html
	pgmoutput.html
	pgmsettings.html
	registers.html
	sourcecode.html
	stack.html
	threads.html
	tips.html
	types.html
	watches.html
	xslt.html
	index.html
	DESTINATION ${HTML_INSTALL_DIR}/en/kdbg)

=== debian/changelog ===
kdbg (2.5.5-3) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 17:23:43 +0300

kdbg (2.5.5-2) experimental; urgency=medium

  * QA upload.
  * debian/copyright: Change my entry to new id.
  * debian/patches:
    - 11_fix_changelog_encoding.patch: Reproducible build. This patch will close
      the bug number #823393 when uploaded to unstable.
  * debian/rules:
    - override_dh_installchangelogs: Add -a parameter to egrep
      (don't use binary mode).

 -- Samuel Henrique <samueloph@gmail.com>  Sat, 20 Aug 2016 21:45:21 -0300

kdbg (2.5.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Update to DH 9.
  * debian/clean: Add debian/upstream.changes.
  * debian/control:
    - Standards-Version: Update to 3.9.8.
    - Remove mention to non existent package (closes: #764423).
  * debian/copyright:
    - Update format to 1.0.
    - Update source's copyright year.
    - Remove trailing whitespace.
  * debian/rules:
    - Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed so building may avoid
      useless dependencies.
    - Add hardening=+all.
    - override_dh_installchangelogs: Concatenate upstream changelogs into one
      single file at debian/upstream.changes.
    - Remove garbage comment.
  * debian/watch: Update to version 4.

 -- Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>  Tue, 19 Apr 2016 01:23:10 -0300

kdbg (2.5.4-2) unstable; urgency=medium

  * QA upload.
  * Orphan package, see #803878.
    - Set maintainer to Debian QA Group.
  * Fix FTBFS. Thanks to Eriberto Mota. (Closes: #808760)
  * Update Standards-Version to 3.9.6, no changes required.
  * Add watch file. Thanks to Bart Martens.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 16 Mar 2016 23:42:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kdbg
 Section: devel
 Priority: optional
-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake, kdelibs5-dev (>= 4:4.4.0)
-Standards-Version: 3.9.4
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>=9), cmake, kdelibs5-dev (>= 4:4.4.0)
+Standards-Version: 3.9.8
 Homepage: http://www.kdbg.org/
 
 Package: kdbg
@@ -15,9 +15,6 @@
  an intuitive interface for setting breakpoints, inspecting variables,
  stepping through code and much more.  KDbg requires KDE but you can of
  course debug any program.
- .
- KDbg can also debug XSLT (XML stylesheet translation) scripts by
- interfacing with xsldbg.  For this the package kxsldbg must be installed.
  .
  Features include the following:
   * Inspection of variable values in a tree structure.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	cat $$(ls ReleaseNotes-* | sort -Vr) ChangeLog-pre-2.2.0 | \
	   egrep -av '(KDbg Release Notes for|====)' > debian/upstream.changes
	dh_installchangelogs debian/upstream.changes

=== debian/watch ===
version=4
http://qa.debian.org/watch/sf.php/kdbg/ \
(?:|.*/)kdbg(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
